package com.sunxung.factoring.entity.refundsManagement;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.sunxung.factoring.entity.BaseEntity;

import java.time.LocalDateTime;
import java.io.Serializable;

/**
 * <p>
 * 应退明细历史表
 * </p>
 *
 * @author yafan
 * @since 2024-03-04
 */
@TableName("refund_details_his")
public class RefundDetailsHis extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 退款管理历史表Id
     */
    @TableField("refund_management_his_id")
    private Long refundManagementHisId;

    /**
     * 分账管理-基础信息表id
     */
    @TableField("ledger_account_basic_info_id")
    private Long ledgerAccountBasicInfoId;

    /**
     * 分账管理-货款分配表id
     */
    @TableField("ledger_fund_goods_assign_id")
    private Long ledgerFundGoodsAssignId;

    /**
     * 金额
     */
    @TableField("amount")
    private BigDecimal amount;

    /**
     * 金额类型
     */
    @TableField("amount_type")
    private String amountType;

    /**
     * 是否选中 0:未选中、1:选中
     */
    @TableField("selected")
    private Boolean selected;

    /**
     * 标签 0:下游回款、1:上游回购
     */
    @TableField("label")
    private Integer label;

    public Long getRefundManagementHisId() {
        return refundManagementHisId;
    }

    public void setRefundManagementHisId(Long refundManagementHisId) {
        this.refundManagementHisId = refundManagementHisId;
    }
    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }
    public String getAmountType() {
        return amountType;
    }

    public void setAmountType(String amountType) {
        this.amountType = amountType;
    }
    public Boolean getSelected() {
        return selected;
    }

    public void setSelected(Boolean selected) {
        this.selected = selected;
    }

    public Long getLedgerAccountBasicInfoId() {
        return ledgerAccountBasicInfoId;
    }

    public void setLedgerAccountBasicInfoId(Long ledgerAccountBasicInfoId) {
        this.ledgerAccountBasicInfoId = ledgerAccountBasicInfoId;
    }

    public Long getLedgerFundGoodsAssignId() {
        return ledgerFundGoodsAssignId;
    }

    public void setLedgerFundGoodsAssignId(Long ledgerFundGoodsAssignId) {
        this.ledgerFundGoodsAssignId = ledgerFundGoodsAssignId;
    }

    public Integer getLabel() {
        return label;
    }

    public void setLabel(Integer label) {
        this.label = label;
    }

    @Override
    public String toString() {
        return "RefundDetailsHis{" +
            ", refundManagementHisId=" + refundManagementHisId +
            ", amount=" + amount +
            ", amountType=" + amountType +
            ", selected=" + selected +
        "}";
    }
}
